<VirtualHost *:80>
	ServerAdmin admin@wr.informatik.uni-hamburg.de
	ServerName oer.wr.informatik.uni-hamburg.de

	Redirect permanent / https://oer.wr.informatik.uni-hamburg.de/

	<Directory />
		Options SymLinksIfOwnerMatch
		AllowOverride None
		Require all denied
	</Directory>

	ErrorLog ${APACHE_LOG_DIR}/error.log
	LogLevel warn
	CustomLog ${APACHE_LOG_DIR}/access.log combined
</VirtualHost>


<IfModule mod_ssl.c>
<VirtualHost *:443>
	ServerAdmin admin@wr.informatik.uni-hamburg.de
	ServerName oer.wr.informatik.uni-hamburg.de

	#RewriteEngine  on
	#RewriteRule    "^/$"  "http://cluster.wr.informatik.uni-hamburg.de:8000/" [R,L]
	#RewriteRule    "^/(.+)$"  "http://cluster.wr.informatik.uni-hamburg.de:8000/$1" [R,L]

	WSGIScriptAlias / "/home/hoou/git/HOOU/django-platform/main/wsgi.py"
	WSGIDaemonProcess hoou python-home=/home/hoou/git/HOOU/virtualenv python-path=/home/hoou/git/HOOU/django-platform/  home=/home/hoou/git/HOOU/django-platform/ inactivity-timeout=10 request-timeout=10
	WSGIProcessGroup hoou
	WSGIApplicationGroup %{GLOBAL}

	DocumentRoot /home/hoou/git/HOOU/django-platform/
	Alias /static/ "/home/hoou/git/HOOU/django-platform/apache/static/"

	<Directory "/home/hoou/git/HOOU/django-platform/apache/static/">
		Require all granted
	</Directory>

	<Directory "/home/hoou/git/HOOU/django-platform/main/">
		 Require all granted
	</Directory>

	ErrorLog ${APACHE_LOG_DIR}/error-oer.log
	LogLevel warn
	CustomLog ${APACHE_LOG_DIR}/oer-access.log combined

	SSLEngine on
	SSLCertificateFile    /etc/letsencrypt/live/oer.wr.informatik.uni-hamburg.de/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/oer.wr.informatik.uni-hamburg.de/privkey.pem
	

	Alias "/.well-known/acme-challenge/" "/var/www/certbot/.well-known/acme-challenge/"

	<Directory /var/www/certbot>
		Options SymLinksIfOwnerMatch
		AllowOverride None
		Require all granted
	</Directory>
</VirtualHost>
</IfModule>
